## org.eclipse.jst.jsf.common.metadata
Interface MetadataPackage

    public interface MetadataPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

NOT API

See Also:
  `MetadataFactory`

Nested Class Summary
`static interface` `MetadataPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Field Summary
`static java.lang.String` `copyright`
`static MetadataPackage` `eINSTANCE` The singleton instance of the package
`static java.lang.String` `eNAME` The package name
`static java.lang.String` `eNS_PREFIX` The package namespace name
`static java.lang.String` `eNS_URI` The package namespace URI
`static int` `ENTITY` The meta object id for the '`Entity`' class
`static int` `ENTITY__CHILD_ENTITIES` The feature id for the 'Child Entities' containment reference list
`static int` `ENTITY__ID` The feature id for the 'Id' attribute
`static int` `ENTITY__INCLUDE_GROUPS` The feature id for the 'Include Groups' reference list
`static int` `ENTITY__TRAITS` The feature id for the 'Traits' containment reference list
`static int` `ENTITY__TYPE` The feature id for the 'Type' attribute
`static int` `ENTITY_FEATURE_COUNT` The number of structural features of the 'Entity' class
`static int` `ENTITY_GROUP` The meta object id for the '`Entity Group`' class
`static int` `ENTITY_GROUP__CHILD_ENTITIES` The feature id for the 'Child Entities' containment reference list
`static int` `ENTITY_GROUP__ID` The feature id for the 'Id' attribute
`static int` `ENTITY_GROUP__INCLUDE_GROUPS` The feature id for the 'Include Groups' reference list
`static int` `ENTITY_GROUP__TRAITS` The feature id for the 'Traits' containment reference list
`static int` `ENTITY_GROUP__TYPE` The feature id for the 'Type' attribute
`static int` `ENTITY_GROUP_FEATURE_COUNT` The number of structural features of the 'Entity Group' class
`static int` `IENTITY_VISITOR` The meta object id for the 'IEntity Visitor' data type
`static int` `IMETA_DATA_SOURCE_MODEL_PROVIDER` The meta object id for the 'IMeta Data Source Model Provider' data type
`static int` `INCLUDE_ENTITY_GROUP` The meta object id for the '`Include Entity Group`' class
`static int` `INCLUDE_ENTITY_GROUP__ID` The feature id for the 'Id' attribute
`static int` `INCLUDE_ENTITY_GROUP__MODEL_URI` The feature id for the 'Model Uri' attribute
`static int` `INCLUDE_ENTITY_GROUP_FEATURE_COUNT` The number of structural features of the 'Include Entity Group' class
`static int` `ITRAIT_VISITOR` The meta object id for the 'ITrait Visitor' data type
`static int` `MODEL` The meta object id for the '`Model`' class
`static int` `MODEL__CHILD_ENTITIES` The feature id for the 'Child Entities' containment reference list
`static int` `MODEL__CURRENT_MODEL_CONTEXT` The feature id for the 'Current Model Context' attribute
`static int` `MODEL__ENTITY_GROUPS` The feature id for the 'Entity Groups' reference list
`static int` `MODEL__ID` The feature id for the 'Id' attribute
`static int` `MODEL__INCLUDE_GROUPS` The feature id for the 'Include Groups' reference list
`static int` `MODEL__SOURCE_MODEL_PROVIDER` The feature id for the 'Source Model Provider' attribute
`static int` `MODEL__TRAITS` The feature id for the 'Traits' containment reference list
`static int` `MODEL__TYPE` The feature id for the 'Type' attribute
`static int` `MODEL_CONTEXT` The meta object id for the 'Model Context' data type
`static int` `MODEL_FEATURE_COUNT` The number of structural features of the 'Model' class
`static int` `TRAIT` The meta object id for the '`Trait`' class
`static int` `TRAIT__ID` The feature id for the 'Id' attribute
`static int` `TRAIT__SOURCE_MODEL_PROVIDER` The feature id for the 'Source Model Provider' attribute
`static int` `TRAIT__VALUE` The feature id for the 'Value' containment reference
`static int` `TRAIT_FEATURE_COUNT` The number of structural features of the 'Trait' class

Method Summary
`EReference` `getEntity_ChildEntities()` Returns the meta object for the containment reference list '`Child Entities`'
`EAttribute` `getEntity_Id()` Returns the meta object for the attribute '`Id`'
`EReference` `getEntity_IncludeGroups()` Returns the meta object for the reference list '`Include Groups`'
`EReference` `getEntity_Traits()` Returns the meta object for the containment reference list '`Traits`'
`EAttribute` `getEntity_Type()` Returns the meta object for the attribute '`Type`'
`EClass` `getEntity()` Returns the meta object for class '`Entity`'
`EClass` `getEntityGroup()` Returns the meta object for class '`Entity Group`'
`EDataType` `getIEntityVisitor()` Returns the meta object for data type '`IEntity Visitor`'
`EDataType` `getIMetaDataSourceModelProvider()` Returns the meta object for data type '`IMeta Data Source Model Provider`'
`EAttribute` `getIncludeEntityGroup_Id()` Returns the meta object for the attribute '`Id`'
`EAttribute` `getIncludeEntityGroup_ModelUri()` Returns the meta object for the attribute '`Model Uri`'
`EClass` `getIncludeEntityGroup()` Returns the meta object for class '`Include Entity Group`'
`EDataType` `getITraitVisitor()` Returns the meta object for data type '`ITrait Visitor`'
`MetadataFactory` `getMetadataFactory()` Returns the factory that creates the instances of the model
`EAttribute` `getModel_CurrentModelContext()` Returns the meta object for the attribute '`Current Model Context`'
`EReference` `getModel_EntityGroups()` Returns the meta object for the reference list '`Entity Groups`'
`EAttribute` `getModel_SourceModelProvider()` Returns the meta object for the attribute '`Source Model Provider`'
`EClass` `getModel()` Returns the meta object for class '`Model`'
`EDataType` `getModelContext()` Returns the meta object for data type '`Model Context`'
`EAttribute` `getTrait_Id()` Returns the meta object for the attribute '`Id`'
`EAttribute` `getTrait_SourceModelProvider()` Returns the meta object for the attribute '`Source Model Provider`'
`EReference` `getTrait_Value()` Returns the meta object for the containment reference '`Value`'
`EClass` `getTrait()` Returns the meta object for class '`Trait`'

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final MetadataPackage eINSTANCE

  The singleton instance of the package.

### TRAIT

    static final int TRAIT

  The meta object id for the '`Trait`' class.

  See Also:
    `TraitImpl`, `MetadataPackageImpl.getTrait()`, Constant Field Values

### ENTITY

    static final int ENTITY

  The meta object id for the '`Entity`' class.

  See Also:
    `EntityImpl`, `MetadataPackageImpl.getEntity()`, Constant Field Values

### ENTITY__CHILD_ENTITIES

    static final int ENTITY__CHILD_ENTITIES

  The feature id for the 'Child Entities' containment reference list.

  See Also:
    Constant Field Values

### ENTITY__TRAITS

    static final int ENTITY__TRAITS

  The feature id for the 'Traits' containment reference list.

  See Also:
    Constant Field Values

### ENTITY__ID

    static final int ENTITY__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### ENTITY__TYPE

    static final int ENTITY__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values

### ENTITY__INCLUDE_GROUPS

    static final int ENTITY__INCLUDE_GROUPS

  The feature id for the 'Include Groups' reference list.

  See Also:
    Constant Field Values

### ENTITY_FEATURE_COUNT

    static final int ENTITY_FEATURE_COUNT

  The number of structural features of the 'Entity' class.

  See Also:
    Constant Field Values

### MODEL

    static final int MODEL

  The meta object id for the '`Model`' class.

  See Also:
    `ModelImpl`, `MetadataPackageImpl.getModel()`, Constant Field Values

### MODEL__CHILD_ENTITIES

    static final int MODEL__CHILD_ENTITIES

  The feature id for the 'Child Entities' containment reference list.

  See Also:
    Constant Field Values

### MODEL__TRAITS

    static final int MODEL__TRAITS

  The feature id for the 'Traits' containment reference list.

  See Also:
    Constant Field Values

### MODEL__ID

    static final int MODEL__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### MODEL__TYPE

    static final int MODEL__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values

### MODEL__INCLUDE_GROUPS

    static final int MODEL__INCLUDE_GROUPS

  The feature id for the 'Include Groups' reference list.

  See Also:
    Constant Field Values

### MODEL__ENTITY_GROUPS

    static final int MODEL__ENTITY_GROUPS

  The feature id for the 'Entity Groups' reference list.

  See Also:
    Constant Field Values

### MODEL__SOURCE_MODEL_PROVIDER

    static final int MODEL__SOURCE_MODEL_PROVIDER

  The feature id for the 'Source Model Provider' attribute.

  See Also:
    Constant Field Values

### MODEL__CURRENT_MODEL_CONTEXT

    static final int MODEL__CURRENT_MODEL_CONTEXT

  The feature id for the 'Current Model Context' attribute.

  See Also:
    Constant Field Values

### MODEL_FEATURE_COUNT

    static final int MODEL_FEATURE_COUNT

  The number of structural features of the 'Model' class.

  See Also:
    Constant Field Values

### INCLUDE_ENTITY_GROUP

    static final int INCLUDE_ENTITY_GROUP

  The meta object id for the '`Include Entity Group`' class.

  See Also:
    `IncludeEntityGroupImpl`, `MetadataPackageImpl.getIncludeEntityGroup()`, Constant Field Values

### ENTITY_GROUP

    static final int ENTITY_GROUP

  The meta object id for the '`Entity Group`' class.

  See Also:
    `EntityGroupImpl`, `MetadataPackageImpl.getEntityGroup()`, Constant Field Values

### ENTITY_GROUP__CHILD_ENTITIES

    static final int ENTITY_GROUP__CHILD_ENTITIES

  The feature id for the 'Child Entities' containment reference list.

  See Also:
    Constant Field Values

### ENTITY_GROUP__TRAITS

    static final int ENTITY_GROUP__TRAITS

  The feature id for the 'Traits' containment reference list.

  See Also:
    Constant Field Values

### ENTITY_GROUP__ID

    static final int ENTITY_GROUP__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### ENTITY_GROUP__TYPE

    static final int ENTITY_GROUP__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values

### ENTITY_GROUP__INCLUDE_GROUPS

    static final int ENTITY_GROUP__INCLUDE_GROUPS

  The feature id for the 'Include Groups' reference list.

  See Also:
    Constant Field Values

### ENTITY_GROUP_FEATURE_COUNT

    static final int ENTITY_GROUP_FEATURE_COUNT

  The number of structural features of the 'Entity Group' class.

  See Also:
    Constant Field Values

### TRAIT__ID

    static final int TRAIT__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### TRAIT__VALUE

    static final int TRAIT__VALUE

  The feature id for the 'Value' containment reference.

  See Also:
    Constant Field Values

### TRAIT__SOURCE_MODEL_PROVIDER

    static final int TRAIT__SOURCE_MODEL_PROVIDER

  The feature id for the 'Source Model Provider' attribute.

  See Also:
    Constant Field Values

### TRAIT_FEATURE_COUNT

    static final int TRAIT_FEATURE_COUNT

  The number of structural features of the 'Trait' class.

  See Also:
    Constant Field Values

### INCLUDE_ENTITY_GROUP__ID

    static final int INCLUDE_ENTITY_GROUP__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### INCLUDE_ENTITY_GROUP__MODEL_URI

    static final int INCLUDE_ENTITY_GROUP__MODEL_URI

  The feature id for the 'Model Uri' attribute.

  See Also:
    Constant Field Values

### INCLUDE_ENTITY_GROUP_FEATURE_COUNT

    static final int INCLUDE_ENTITY_GROUP_FEATURE_COUNT

  The number of structural features of the 'Include Entity Group' class.

  See Also:
    Constant Field Values

### ITRAIT_VISITOR

    static final int ITRAIT_VISITOR

  The meta object id for the 'ITrait Visitor' data type.

  See Also:
    `ITraitVisitor`, `MetadataPackageImpl.getITraitVisitor()`, Constant Field Values

### IENTITY_VISITOR

    static final int IENTITY_VISITOR

  The meta object id for the 'IEntity Visitor' data type.

  See Also:
    `IEntityVisitor`, `MetadataPackageImpl.getIEntityVisitor()`, Constant Field Values

### IMETA_DATA_SOURCE_MODEL_PROVIDER

    static final int IMETA_DATA_SOURCE_MODEL_PROVIDER

  The meta object id for the 'IMeta Data Source Model Provider' data type.

  See Also:
    `IMetaDataSourceModelProvider`, `MetadataPackageImpl.getIMetaDataSourceModelProvider()`, Constant Field Values

### MODEL_CONTEXT

    static final int MODEL_CONTEXT

  The meta object id for the 'Model Context' data type.

  See Also:
    `ModelKeyDescriptor`, `MetadataPackageImpl.getModelContext()`, Constant Field Values

Method Detail

### getTrait

    EClass getTrait()

  Returns the meta object for class '`Trait`'.

  Returns:
    the meta object for class 'Trait'.
  See Also:
    `Trait`

### getTrait_Id

    EAttribute getTrait_Id()

  Returns the meta object for the attribute '`Id`'.

  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `Trait.getId()`, `getTrait()`

### getTrait_Value

    EReference getTrait_Value()

  Returns the meta object for the containment reference '`Value`'.

  Returns:
    the meta object for the containment reference 'Value'.
  See Also:
    `Trait.getValue()`, `getTrait()`

### getTrait_SourceModelProvider

    EAttribute getTrait_SourceModelProvider()

  Returns the meta object for the attribute '`Source Model Provider`'.

  Returns:
    the meta object for the attribute 'Source Model Provider'.
  See Also:
    `Trait.getSourceModelProvider()`, `getTrait()`

### getIncludeEntityGroup

    EClass getIncludeEntityGroup()

  Returns the meta object for class '`Include Entity Group`'.

  Returns:
    the meta object for class 'Include Entity Group'.
  See Also:
    `IncludeEntityGroup`

### getIncludeEntityGroup_Id

    EAttribute getIncludeEntityGroup_Id()

  Returns the meta object for the attribute '`Id`'.

  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `IncludeEntityGroup.getId()`, `getIncludeEntityGroup()`

### getIncludeEntityGroup_ModelUri

    EAttribute getIncludeEntityGroup_ModelUri()

  Returns the meta object for the attribute '`Model Uri`'.

  Returns:
    the meta object for the attribute 'Model Uri'.
  See Also:
    `IncludeEntityGroup.getModelUri()`, `getIncludeEntityGroup()`

### getModel

    EClass getModel()

  Returns the meta object for class '`Model`'.

  Returns:
    the meta object for class 'Model'.
  See Also:
    `Model`

### getModel_SourceModelProvider

    EAttribute getModel_SourceModelProvider()

  Returns the meta object for the attribute '`Source Model Provider`'.

  Returns:
    the meta object for the attribute 'Source Model Provider'.
  See Also:
    `Model.getSourceModelProvider()`, `getModel()`

### getModel_CurrentModelContext

    EAttribute getModel_CurrentModelContext()

  Returns the meta object for the attribute '`Current Model Context`'.

  Returns:
    the meta object for the attribute 'Current Model Context'.
  See Also:
    `Model.getCurrentModelContext()`, `getModel()`

### getModel_EntityGroups

    EReference getModel_EntityGroups()

  Returns the meta object for the reference list '`Entity Groups`'.

  Returns:
    the meta object for the reference list 'Entity Groups'.
  See Also:
    `Model.getEntityGroups()`, `getModel()`

### getEntity

    EClass getEntity()

  Returns the meta object for class '`Entity`'.

  Returns:
    the meta object for class 'Entity'.
  See Also:
    `Entity`

### getEntity_ChildEntities

    EReference getEntity_ChildEntities()

  Returns the meta object for the containment reference list '`Child Entities`'.

  Returns:
    the meta object for the containment reference list 'Child Entities'.
  See Also:
    `Entity.getChildEntities()`, `getEntity()`

### getEntity_Traits

    EReference getEntity_Traits()

  Returns the meta object for the containment reference list '`Traits`'.

  Returns:
    the meta object for the containment reference list 'Traits'.
  See Also:
    `Entity.getTraits()`, `getEntity()`

### getEntity_Id

    EAttribute getEntity_Id()

  Returns the meta object for the attribute '`Id`'.

  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `Entity.getId()`, `getEntity()`

### getEntity_Type

    EAttribute getEntity_Type()

  Returns the meta object for the attribute '`Type`'.

  Returns:
    the meta object for the attribute 'Type'.
  See Also:
    `Entity.getType()`, `getEntity()`

### getEntity_IncludeGroups

    EReference getEntity_IncludeGroups()

  Returns the meta object for the reference list '`Include Groups`'.

  Returns:
    the meta object for the reference list 'Include Groups'.
  See Also:
    `Entity.getIncludeGroups()`, `getEntity()`

### getEntityGroup

    EClass getEntityGroup()

  Returns the meta object for class '`Entity Group`'.

  Returns:
    the meta object for class 'Entity Group'.
  See Also:
    `EntityGroup`

### getITraitVisitor

    EDataType getITraitVisitor()

  Returns the meta object for data type '`ITrait Visitor`'.

  Returns:
    the meta object for data type 'ITrait Visitor'.
  See Also:
    `ITraitVisitor`

### getIEntityVisitor

    EDataType getIEntityVisitor()

  Returns the meta object for data type '`IEntity Visitor`'.

  Returns:
    the meta object for data type 'IEntity Visitor'.
  See Also:
    `IEntityVisitor`

### getIMetaDataSourceModelProvider

    EDataType getIMetaDataSourceModelProvider()

  Returns the meta object for data type '`IMeta Data Source Model Provider`'.

  Returns:
    the meta object for data type 'IMeta Data Source Model Provider'.
  See Also:
    `IMetaDataSourceModelProvider`

### getModelContext

    EDataType getModelContext()

  Returns the meta object for data type '`Model Context`'.

  Returns:
    the meta object for data type 'Model Context'.
  See Also:
    `ModelKeyDescriptor`

### getMetadataFactory

    MetadataFactory getMetadataFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.